package robocup.lab.opponent;

import atan.model.AbstractTeam;
import atan.model.ControllerPlayer;

/**
 * The Class OpponentTeam.
 */
public class OpponentTeam extends AbstractTeam {

	/**
	 * Instantiates a new opponent team.
	 *
	 * @param teamName the team name
	 * @param port the port
	 * @param hostname the hostname
	 */
	public OpponentTeam(String teamName, int port, String hostname) {
		super(teamName, port, hostname);
	}

	/* (non-Javadoc)
	 * @see atan.model.AbstractTeam#size()
	 */
	@Override
	public int size() {
		return 11;
	}

	/* (non-Javadoc)
	 * @see atan.model.AbstractTeam#getNewController(int)
	 */
	@Override
	public ControllerPlayer getNewController(int i) {
		return new OpponentController();
	}

}
